BRepAlgoAPI_Cut problem while cutting a solid with holes with a plane!

Hi All,

I'm trying to cut a solid(a prism) with holes with a plane, using these code lines:

gp_Pln pln(gp_Ax3(gp_Pnt(org_x,org_y,org_z), gp_Dir(pl_nx,pl_ny,pl_nz), gp_Dir(ref_dir_x,ref_dir_y,ref_dir_z)));
TopoDS_Face planeShape = BRepBuilderAPI_MakeFace(pln);

TopoDS_Solid solidPlane = BRepPrimAPI_MakeHalfSpace(planeShape,gp_Pnt(org_x+pl_nx,org_y+pl_ny,org_z+pl_nz));

TopoDS_Shape res = BRepAlgoAPI_Cut(Get(entity),solidPlane);

but even if the cut operation succeeds, the result is not correct, because I can see the cut lines (the ones generated from the intersection between the plan and the solid), but the solid is still there unmodified! If I remove the holes, instead the cut operation works properly. Has anyone run into the same problem?

 Regards

Giovanni.

 

Giovanni Pennisi's picture

I forgot to say, that the holes have been generated by defining internal contours in the face that is extruded! They aren't the result of a boolean operation!